/*     Sanyo LM7001 */

#include "common_defs.h"

/*     */
void InitSynthPins(void)
{
   SYNTH_PORT = _BV(SYNTH_PIN_CLK) | _BV(SYNTH_PIN_DATA) | _BV(SYNTH_PIN_CE);     //  
   SYNTH_PORT_DIR = _BV(SYNTH_PIN_CLK) | _BV(SYNTH_PIN_DATA) | _BV(SYNTH_PIN_CE); //   
   SetCELow();
   SetCLKLow();
   SetDataLow();
}

/* CLK */
void SetCLKHigh(void)
{
   SYNTH_PORT |= _BV(SYNTH_PIN_CLK);
   Wait_us(2);
}

void SetCLKLow(void)
{
   SYNTH_PORT &= ~_BV(SYNTH_PIN_CLK);
   Wait_us(2);
}

/* DATA */
void SetDataHigh(void)
{
   SYNTH_PORT |= _BV(SYNTH_PIN_DATA);
   Wait_us(2);
}

void SetDataLow(void)
{
   SYNTH_PORT &= ~_BV(SYNTH_PIN_DATA);
   Wait_us(2);
}

/* CE */
void SetCEHigh(void)
{
   SYNTH_PORT |= _BV(SYNTH_PIN_CE);
   Wait_us(2);
}

void SetCELow(void)
{
   SYNTH_PORT &= ~_BV(SYNTH_PIN_CE);
   Wait_us(2);
}
