/**************************************************************************************
 * Because I am strongly don't like "classical" C types like char, unsigned int etc., *
 * I prefer use these types, listed below. They are more exact & expressive.          *
 **************************************************************************************/

#ifndef UINT8
typedef unsigned char          UINT8;
#endif

#ifndef UINT16
typedef unsigned int           UINT16;
#endif

#ifndef UINT32
typedef unsigned long int      UINT32;
#endif

#ifndef UINT64
typedef unsigned long long int UINT64;
#endif

#ifndef INT8
typedef char                   INT8;
#endif

#ifndef INT16
typedef int                    INT16;
#endif

#ifndef INT32
typedef long int               INT32;
#endif

#ifndef INT64
typedef long long int          INT64;
#endif

#ifndef bool
typedef UINT8                  bool;
#endif

#ifndef BOOL
typedef UINT8                  BOOL;
#endif

#ifndef true
#define true                   1
#endif

#ifndef TRUE
#define TRUE                   1
#endif

#ifndef false
#define false                  0
#endif

#ifndef FALSE
#define FALSE                  0
#endif
